#include "AudioSignal.h"

#include <qcolor.h>
#include <qpainter.h>
#include <qpaintdevice.h>
#include <iostream.h>

AudioSignal::AudioSignal(QWidget *par=0, double *arr=0, long arrlength=0) : QWidget(par)
{
  setBackgroundColor(white);

  arrayOfData = arr;

  data_length = arrlength;
    
}
 

void AudioSignal::paintEvent(QPaintEvent * qp)
{
  qp = 0;

  if(arrayOfData && data_length){

    double xscale=((double) width()-5)/(double) data_length;
   
    QPainter p(this);
   
    p.setPen(QPen(black,1,QPen::SolidLine));

    // hier vielleicht mehr Werte malen ?
    for(int i=0;i<data_length;i+=4)
      p.drawLine(xscale*(double)(i),140,xscale*(double)(i),140-arrayOfData[i]);
  }
}
