/****************************************************************************
** Form interface generated from reading ui file 'TrainingGUI.ui'
**
** Created: Thu Aug 15 22:27:21 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#ifndef TRAINING_H
#define TRAINING_H

#include <qvariant.h>
#include <qdialog.h>
#include "GesamtNetz.h"
#include "nnresult.h"
#include "fkurve.h"
#include "g_matrix.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class QPushButton;
class QRadioButton;
class QSpinBox;

class Training : public QDialog
{ 
    Q_OBJECT

public:
    Training( GesamtNetz **gN = 0, QWidget* parent = 0, const char* name = 0, bool modal = 0, WFlags fl = 0 );
    ~Training();

    QLabel* TextLabel1;
    QGroupBox* GroupBox12;
    QLabel* TextLabel1_3;
    QSpinBox* SpinBoxRedundanz;
    QLabel* TextLabel2_3;
    QComboBox* ComboBoxSkalierung;
    QLabel* TextLabel3;
    QFrame* Line2;
    QLabel* TextLabelHamming;
    QPushButton* PushButtonStart;
    QPushButton* PushButtonFertig;
    QLabel* TextLabel1_2;
    QLabel* TextLabel2;
    QLabel* TextLabel5;
    QLabel* TextLabel7;
    QLabel* TextLabelTestFile;
    QLabel* TextLabelTrainFile;
    QPushButton* PushButtonChooseTrainFile;
    QPushButton* PushButtonChooseTestFile;
    QButtonGroup* ButtonGroupLearningMethod;
    QRadioButton* RadioButtonOnline;
    QRadioButton* RadioButtonBatch;
    QSpinBox* SpinBoxEpsilon;
    QSpinBox* SpinBoxEpochen;
    QLabel* TextLabelAktEpoche;

protected:
    QHBoxLayout* Layout3;
    QHBoxLayout* LSkalierung;
    QHBoxLayout* Layout5;

private:
    double Epsilon;
    int Redundanz;

    
    // Anzahl der Epochen
    int Epochen;
    QString TestDataFileName;
    QString TrainingDataFileName;

    // von Edgar hinzugefuegt
    QString lastTestDataFileName;
    QString lastTrainingDataFileName;
    int lastRedundanz;
    double lastS;
    int trainierungsLaenge;
    int testLaenge;
    bool loadData;
    GesamtNetz **myGN;
    double **trainierungsFFT, **testFFT;
    char *trainierungsVok, *testVok;
    int totalEpochen;

    Wahrscheinlichkeiten *w;
    Fehlerkurven *f;
    g_matrix *g;
    // Ende vom Edgars Hinzufuegen

public slots:
    void setEpochen(int);
    void setEpsilon(int);
    void setRedundanz(int);
    void setTrainingData();
    void setTestData();
    void startTraining();

};

#endif // TRAINING_H
