#ifndef STATISTIK
#define STATISTIK
 
#define DEFLAENGE 16384
#include <iostream>

class Statistik;

ostream& operator<< (ostream &ostr, const Statistik &);
istream& operator>> (istream &istr, Statistik &); 


class Statistik {
  friend ostream& operator<< (ostream &ostr, const Statistik &);
  friend istream& operator>> (istream &istr, Statistik &);

 protected:
  int trainingsLaenge;               // die Laengen von den Arrays
  int testLaenge;
  double *trainingsFehler;
  double *testFehler;

 public:
  Statistik(void);
  ~Statistik(void);
  void addTest(double);
  void addTraining(double);
  int getTrainingsLaenge(void){ return trainingsLaenge; }
  int getTestLaenge(void){ return testLaenge; }
  const double* getTrainingsFehler(void){ return trainingsFehler; }
  const double* getTestFehler(void){ return testFehler; }

  // fuer getTestFehler() muss man zum Beispeil etwas machen wie:
  // const double *fehler = getTrainingsFehler();
  // dann kann man nur lesen und nicht schreiben...

 private:
  int maxTrainingsLaenge;
  int maxTestLaenge;
};

#endif
