#ifndef THEVOKAL
#define THEVOKAL

typedef struct {
  // die Pseudowahrscheinlichkeiten von den jeweiligen Moeglichkeiten
  // In diesem Bereich [0.0,1.0]: (es koennten vielleicht 
  // kleine negative Werte auftreten, das muss ich mit Oliver besprechen...)
  double a, e, i, o, u;
  char gewaehlt;            // == 'a', 'e', 'i', 'o' oder 'u', je nachdem, 
                            // welches die groesste Pseudowahrscheinlichkeit hat
  double sicherheit;        // enthaelt die Pseudowahrscheinlichkeit von gewaehlt
  bool neuesFehlerplot;     // == 1 wenn die Fehler-/TestKurven einen neuen Punkt 
                            // gerade bekommt haben (fuers Neuzeichnen), sonst == 0
  bool neueGewichtenwerte;  // == 1 wenn die Gewichtematrizen-/Schwellenwertplots
                            // neu gezeichnet werden sollen.
  // Hier werden die Pseudowahrscheinlichkeiten von den Expertennetzen ausgegeben:
  double Aouei[3], Ouvoid[3], Eivoid[3];
} Vokal;

#endif
